Subject: Re: bug#18506: stty dsusp undef fails.

From: Pádraig Brady <[email-masked]>
Date: Fri, 19 Sep 2014 23:41:56 +0100

On 09/19/2014 07:45 PM, Bernhard Voelker wrote:
> On 09/19/2014 05:19 PM, Pádraig Brady wrote:
>> From be1e555db9cfd7e82a0a26e1a612a65ebe93d789 Mon Sep 17 00:00:00 2001
>> From: =?UTF-8?q?P=C3=A1draig=20Brady?= <[email-masked]>
>> Date: Fri, 19 Sep 2014 16:15:04 +0100
>> Subject: [PATCH] stty: only list supported options in --help and man pages
>>
>> * src/stty.c (usage): Exclude unsupported options from --help,
>> which only impacts the "dsusp" option on GNU/Linux.
> 
> that one, too:
> 
> -* [\-]cdtrdsr
> -enable DTR/DSR handshaking
> -.TP

Oh right, I was comparing against an older stty without that support.

> A slightly different idea: as this can only happen for non-POSIX
> options, we could change the '*' symbol to e.g. 'S' ("supported
> non-POSIX option) and 'U' (unsupported non-POSIX option).
> WDYT?

I did think about that, but err'd on side of
less information, rather than more.

> The cleanest solution probably would be to distinguish between
> distinguish "invalid argument" from "not supported" errors, as you
> aleady said. I'm not sure if it's worthwhile.

I thought of that too, but thought the doc changes enough.

I'll sleep on this one before pushing.

thanks for all the reviews!

Pádraig.